#ifndef ROTATION_H
#define ROTATION_H

#ifndef TRANSFORMATION_H
#include "Transformation.h"
#endif

class Rotation : public Transformation
{
public:    
    virtual ~Rotation() { }

    virtual void                            rotate_x( double angle ) =0;
    virtual void                            rotate_y( double angle ) =0;
    virtual void                            rotate_z( double angle ) =0;
};

#endif //ROTATION_H
